Bug 1476895 - [Bug] - Applicable Errata API for Satellite v.6.2.10 fails with 404 Error
[Bug] - Applicable Errata API for Satellite v.6.2.10 fails with 404 Error
Status: POST
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.2.10
All All
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
http://projects.theforeman.org/issues...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 14:16 EDT by anerurka
Modified: 2017-09-22 16:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20478 None None None 2017-09-13 08:31 EDT
Foreman Issue Tracker 20480 None None None 2017-09-13 08:32 EDT

  None (edit)
Description anerurka 2017-07-31 14:16:24 EDT
Description of problem:

Applicable Errata API for Satellite v.6.2.10 fails with 404 Error

Version-Release number of selected component (if applicable):

Satellite Server v.6.2.10

How reproducible:


Steps to Reproduce:

1. Try using Applicable Errata API from Satellite Server fails "https://<satellite-fqdn>/apidoc/v2/hosts_bulk_actions/installable_errata.html"

2. curl -k -u admin:redhat -X POST -d '{"included": {"ids": [3, 11]}, "organization_id": 1, "search": ""}' -H 'Accept: application/json' -H 'Content-Type: application/json' https://satellite.example.com/api/v2/hosts/bulk/applicable_errata
{"status":"404","error":"Not Found"} 

3. Below is the observation from Production log:

+++++
Production log
-----------------
2017-07-28 22:00:27 70aea569 [app] [I] Started POST "/api/v2/hosts/bulk/applicable_errata" for ::1 at 2017-07-28 22:00:27 +0530
2017-07-28 22:00:27 70aea569 [app] [F] 
 | ActionController::RoutingError (No route matches [POST] "/api/v2/hosts/bulk/applicable_errata"):
 |   lib/middleware/tagged_logging.rb:18:in `call'
+++++

Actual results:

- Applicable Errata API fails

Expected results:

- Applicable Errata API should work

Additional info:

Also observed that if we click on Applicable Errata over Satellite Server Web UI  API doc [POST /api/hosts/bulk/applicable_errata], and verify the web browser address, then it redirects us to Installable errata : i.e [https://satellite_fqdn/apidoc/v2/hosts_bulk_actions/installable_errata.html]
Comment 1 Marek Hulan 2017-08-01 07:33:46 EDT
Thanks for the report, please use more specific component next time. You already mentioned in subject, this is "Applicable Errata API", so it belongs to "Errata Management". The API is for generic API requests and bugs, such as "provide YAML format as alternative JSON".
Comment 2 pm-sat@redhat.com 2017-09-22 16:13:43 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20480 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.